Package org.xnio.channels

# Interface WriteListenerSettable<C extends Channel>

All Known Implementing Classes:
  `ConduitStreamSinkChannel`, `ConduitWritableMessageChannel`, `FixedLengthStreamSinkChannel`, `FramedMessageChannel`, `NullStreamSinkChannel`, `SplitStreamSinkChannel`, `TranslatingSuspendableChannel`

public interface WriteListenerSettable<C extends Channel>
An object which supports directly setting the write listener may implement this interface.

Author:
  David M. Lloyd

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`WriteListenerSettable.Setter<C extends Channel>`
A channel listener setter implementation which delegates to the appropriate setter method.

## Method Summary

Modifier and Type
Method
Description
`ChannelListener<? super C>`
`getWriteListener()`
Get the write listener.
`void`
`setWriteListener(ChannelListener<? super C> listener)`
Set the write listener.

## Method Details

### setWriteListener

void setWriteListener(ChannelListener<? super C> listener)
Set the write listener.

Parameters:
  `listener` - the write listener

### getWriteListener

ChannelListener<? super C> getWriteListener()
Get the write listener.

Returns:
  the write listener